Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum ContactGroup.TYPE

    java.lang.Object
      java.lang.Enum<ContactGroup.TYPE>
          com.skype.api.ContactGroup.TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ContactGroup.TYPE>

Enclosing class:
  ContactGroup

    public static enum ContactGroup.TYPE

extends java.lang.Enum<ContactGroup.TYPE>

The list of all possible ContactGroup types. A value of this type can be passed to Skype class GetHardwiredContactGroup to retrieve the relevant ContactGroup object.

Enum Constant Summary
`ALL_BUDDIES` The set of all authorized contacts, that is, contacts that were last the target of Contact.SetBuddyStatus(false) plus all SkypeOut contacts.
`ALL_KNOWN_CONTACTS` The superset of all "hardwired" contact groups.
`CONTACTS_AUTHORIZED_BY_ME` All contacts authorized by the user.
`CONTACTS_BLOCKED_BY_ME` Group of contacts the user has blocked from further incoming communications.
`CONTACTS_WAITING_MY_AUTHORIZATION` Contacts to whose authorization request the user has not responded yet.
`CUSTOM_GROUP` A custom group defined by user.
`EXTERNAL_CONTACTS` The set of all contacts that were originally imported from an external address book.
`ONLINE_BUDDIES` The subset of ALL_BUDDIES that are currently online, including those currently marked as DO_NOT_DISTURBED and AWAY.
`PROPOSED_SHARED_GROUP` The shared contact group functionality is no longer supported.
`RECENTLY_CONTACTED_CONTACTS` This filter returns top 10 most recently contacted contacts, based on Contact.P_LASTUSED_TIMESTAMP property values.
`SHARED_GROUP` The shared contact group functionality is no longer supported.
`SKYPE_BUDDIES` The set of all authorized Skype contacts (Contact:_SKYPENAME is non-null).
`SKYPEOUT_BUDDIES` The set of all SkypeOut contacts (Contact:_PSTNNUMBER is non-null).
`UNGROUPED_BUDDIES` The set of all "buddies" that are not also a member of a custom group.
`UNKNOWN_OR_PENDINGAUTH_BUDDIES` The set of all contacts whose Contact:_TYPE reflects UNRECOGNIZED OR have not authorized the local user yet.

Method Summary
`static ContactGroup.TYPE` | `fromString(java.lang.String s)`
`static ContactGroup.TYPE` | `get(int code)`
`int` | `getId()`
`static ContactGroup.TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContactGroup.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL_KNOWN_CONTACTS

    public static final ContactGroup.TYPE ALL_KNOWN_CONTACTS

  The superset of all "hardwired" contact groups.

### ALL_BUDDIES

    public static final ContactGroup.TYPE ALL_BUDDIES

  The set of all authorized contacts, that is, contacts that were last the target of Contact.SetBuddyStatus(false) plus all SkypeOut contacts.

### SKYPE_BUDDIES

    public static final ContactGroup.TYPE SKYPE_BUDDIES

  The set of all authorized Skype contacts (Contact:_SKYPENAME is non-null).
  Note that this excludes Skype contacts that have either never been the target of Contact.SetBuddyStatus(true) or were last the target of Contactact.SetBuddyStatus(false).

### SKYPEOUT_BUDDIES

    public static final ContactGroup.TYPE SKYPEOUT_BUDDIES

  The set of all SkypeOut contacts (Contact:_PSTNNUMBER is non-null). PSTN contacts can be added to the contact list by retrieving a new contact object with Skype.GetContact, passing in the phone number as string, and then either using Contact.SetBuddyStatus(true) or adding the contact to the SKYPEOUT_BUDDIES group with ContactGroup.AddContact.

### ONLINE_BUDDIES

    public static final ContactGroup.TYPE ONLINE_BUDDIES

  The subset of ALL_BUDDIES that are currently online, including those currently marked as DO_NOT_DISTURBED and AWAY.

### UNKNOWN_OR_PENDINGAUTH_BUDDIES

    public static final ContactGroup.TYPE UNKNOWN_OR_PENDINGAUTH_BUDDIES

  The set of all contacts whose Contact:_TYPE reflects UNRECOGNIZED OR have not authorized the local user yet.

### RECENTLY_CONTACTED_CONTACTS

    public static final ContactGroup.TYPE RECENTLY_CONTACTED_CONTACTS

  This filter returns top 10 most recently contacted contacts, based on Contact.P_LASTUSED_TIMESTAMP property values. This is not configurable. Note that the P_LASTUSED_TIMESTAMP property does not propagate between different Skype instances - thus this filter only works in context of the local database. Recent contacts that were in touch with the user on some other Skype installation will not show up in this filter.

### CONTACTS_WAITING_MY_AUTHORIZATION

    public static final ContactGroup.TYPE CONTACTS_WAITING_MY_AUTHORIZATION

  Contacts to whose authorization request the user has not responded yet. The UI should enable the user to accept, decline the authorization request and in case of decline, optionally block further incoming communication from the contact. See: Contact.SetBuddyStatus, Contact.SetBlocked and Contact.IgnoreAuthRequest for more information.

### CONTACTS_AUTHORIZED_BY_ME

    public static final ContactGroup.TYPE CONTACTS_AUTHORIZED_BY_ME

  All contacts authorized by the user.

### CONTACTS_BLOCKED_BY_ME

    public static final ContactGroup.TYPE CONTACTS_BLOCKED_BY_ME

  Group of contacts the user has blocked from further incoming communications. If the UI enables contact blocking, it should also provide interface for the user to unblock the blocked contacts. Note that a contact can simultaneously be in both CONTACTS_BLOCKED_BY_ME and CONTACTS_AUTHORIZED_BY_ME groups.

### UNGROUPED_BUDDIES

    public static final ContactGroup.TYPE UNGROUPED_BUDDIES

  The set of all "buddies" that are not also a member of a custom group.

### CUSTOM_GROUP

    public static final ContactGroup.TYPE CUSTOM_GROUP

  A custom group defined by user.

### PROPOSED_SHARED_GROUP

    public static final ContactGroup.TYPE PROPOSED_SHARED_GROUP

  The shared contact group functionality is no longer supported. This contact group type can be ignored.

### SHARED_GROUP

    public static final ContactGroup.TYPE SHARED_GROUP

  The shared contact group functionality is no longer supported. This contact group type can be ignored.

### EXTERNAL_CONTACTS

    public static final ContactGroup.TYPE EXTERNAL_CONTACTS

  The set of all contacts that were originally imported from an external address book.

Method Detail

### values

    public static ContactGroup.TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContactGroup.TYPE c : ContactGroup.TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContactGroup.TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static ContactGroup.TYPE get(int code)

### fromString

    public static ContactGroup.TYPE fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.